source: src/libcfa/Makefile.in @ 4b5857f

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsctordeferred_resndemanglerenumforall-pointer-decaygc_noraiijacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerpthread-emulationqualifiedEnumresolv-newwith_gc
Last change on this file since 4b5857f was ee51534, checked in by Peter A. Buhr <pabuhr@…>, 8 years ago

fix update for silent option in configure.ac

  • Property mode set to 100644
File size: 20.1 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20
21
22
23VPATH = @srcdir@
24pkgdatadir = $(datadir)/@PACKAGE@
25pkgincludedir = $(includedir)/@PACKAGE@
26pkglibdir = $(libdir)/@PACKAGE@
27pkglibexecdir = $(libexecdir)/@PACKAGE@
28am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29install_sh_DATA = $(install_sh) -c -m 644
30install_sh_PROGRAM = $(install_sh) -c
31install_sh_SCRIPT = $(install_sh) -c
32INSTALL_HEADER = $(INSTALL_DATA)
33transform = $(program_transform_name)
34NORMAL_INSTALL = :
35PRE_INSTALL = :
36POST_INSTALL = :
37NORMAL_UNINSTALL = :
38PRE_UNINSTALL = :
39POST_UNINSTALL = :
40subdir = src/libcfa
41DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
42        $(srcdir)/Makefile.in
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46        $(ACLOCAL_M4)
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = $(top_builddir)/config.h
49CONFIG_CLEAN_FILES =
50CONFIG_CLEAN_VPATH_FILES =
51am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
52am__vpath_adj = case $$p in \
53    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
54    *) f=$$p;; \
55  esac;
56am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
57am__install_max = 40
58am__nobase_strip_setup = \
59  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
60am__nobase_strip = \
61  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
62am__nobase_list = $(am__nobase_strip_setup); \
63  for p in $$list; do echo "$$p $$p"; done | \
64  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
65  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
66    if (++n[$$2] == $(am__install_max)) \
67      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
68    END { for (dir in files) print dir, files[dir] }'
69am__base_list = \
70  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
71  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
72am__uninstall_files_from_dir = { \
73  test -z "$$files" \
74    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
75    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
76         $(am__cd) "$$dir" && rm -f $$files; }; \
77  }
78am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" \
79        "$(DESTDIR)$(includedir)"
80LIBRARIES = $(lib_LIBRARIES)
81AR = ar
82ARFLAGS = cru
83AM_V_AR = $(am__v_AR_@AM_V@)
84am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
85am__v_AR_0 = @echo "  AR    " $@;
86AM_V_at = $(am__v_at_@AM_V@)
87am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
88am__v_at_0 = @
89libcfa_a_AR = $(AR) $(ARFLAGS)
90libcfa_a_LIBADD =
91am__objects_1 = limits.$(OBJEXT) stdlib.$(OBJEXT) math.$(OBJEXT) \
92        iostream.$(OBJEXT) fstream.$(OBJEXT) iterator.$(OBJEXT) \
93        rational.$(OBJEXT)
94am_libcfa_a_OBJECTS = libcfa-prelude.$(OBJEXT) $(am__objects_1)
95libcfa_a_OBJECTS = $(am_libcfa_a_OBJECTS)
96DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
97depcomp = $(SHELL) $(top_srcdir)/automake/depcomp
98am__depfiles_maybe = depfiles
99am__mv = mv -f
100COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
101        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
102AM_V_CC = $(am__v_CC_@AM_V@)
103am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
104am__v_CC_0 = @echo "  CC    " $@;
105CCLD = $(CC)
106LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
107AM_V_CCLD = $(am__v_CCLD_@AM_V@)
108am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
109am__v_CCLD_0 = @echo "  CCLD  " $@;
110AM_V_GEN = $(am__v_GEN_@AM_V@)
111am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
112am__v_GEN_0 = @echo "  GEN   " $@;
113SOURCES = $(libcfa_a_SOURCES)
114DIST_SOURCES = $(libcfa_a_SOURCES)
115DATA = $(cfalib_DATA)
116HEADERS = $(include_HEADERS)
117ETAGS = etags
118CTAGS = ctags
119DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
120ACLOCAL = @ACLOCAL@
121ALLOCA = @ALLOCA@
122AMTAR = @AMTAR@
123AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
124AUTOCONF = @AUTOCONF@
125AUTOHEADER = @AUTOHEADER@
126AUTOMAKE = @AUTOMAKE@
127AWK = @AWK@
128BACKEND_CC = @BACKEND_CC@
129CC = ${abs_top_srcdir}/src/driver/cfa
130CCDEPMODE = @CCDEPMODE@
131CFA_BACKEND_CC = @CFA_BACKEND_CC@
132CFA_BINDIR = @CFA_BINDIR@
133CFA_INCDIR = @CFA_INCDIR@
134CFA_LIBDIR = @CFA_LIBDIR@
135CFA_PREFIX = @CFA_PREFIX@
136CFLAGS = -quiet -g -Wall -Wno-unused-function -B${abs_top_srcdir}/src/driver -XCFA -t  # TEMPORARY: does not build with -O2
137CPP = @CPP@
138CPPFLAGS = @CPPFLAGS@
139CXX = @CXX@
140CXXDEPMODE = @CXXDEPMODE@
141CXXFLAGS = @CXXFLAGS@
142CYGPATH_W = @CYGPATH_W@
143DEFS = @DEFS@
144DEPDIR = @DEPDIR@
145ECHO_C = @ECHO_C@
146ECHO_N = @ECHO_N@
147ECHO_T = @ECHO_T@
148EGREP = @EGREP@
149EXEEXT = @EXEEXT@
150GREP = @GREP@
151INSTALL = @INSTALL@
152INSTALL_DATA = @INSTALL_DATA@
153INSTALL_PROGRAM = @INSTALL_PROGRAM@
154INSTALL_SCRIPT = @INSTALL_SCRIPT@
155INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
156LDFLAGS = @LDFLAGS@
157LEX = @LEX@
158LEXLIB = @LEXLIB@
159LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
160LIBOBJS = @LIBOBJS@
161LIBS = @LIBS@
162LTLIBOBJS = @LTLIBOBJS@
163MAINT = @MAINT@
164MAKEINFO = @MAKEINFO@
165MKDIR_P = @MKDIR_P@
166OBJEXT = @OBJEXT@
167PACKAGE = @PACKAGE@
168PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
169PACKAGE_NAME = @PACKAGE_NAME@
170PACKAGE_STRING = @PACKAGE_STRING@
171PACKAGE_TARNAME = @PACKAGE_TARNAME@
172PACKAGE_URL = @PACKAGE_URL@
173PACKAGE_VERSION = @PACKAGE_VERSION@
174PATH_SEPARATOR = @PATH_SEPARATOR@
175RANLIB = @RANLIB@
176SET_MAKE = @SET_MAKE@
177SHELL = @SHELL@
178STRIP = @STRIP@
179VERSION = @VERSION@
180YACC = @YACC@
181YFLAGS = @YFLAGS@
182abs_builddir = @abs_builddir@
183abs_srcdir = @abs_srcdir@
184abs_top_builddir = @abs_top_builddir@
185abs_top_srcdir = @abs_top_srcdir@
186ac_ct_CC = @ac_ct_CC@
187ac_ct_CXX = @ac_ct_CXX@
188am__include = @am__include@
189am__leading_dot = @am__leading_dot@
190am__quote = @am__quote@
191am__tar = @am__tar@
192am__untar = @am__untar@
193bindir = @bindir@
194build_alias = @build_alias@
195builddir = @builddir@
196datadir = @datadir@
197datarootdir = @datarootdir@
198docdir = @docdir@
199dvidir = @dvidir@
200exec_prefix = @exec_prefix@
201host_alias = @host_alias@
202htmldir = @htmldir@
203includedir = @includedir@
204infodir = @infodir@
205install_sh = @install_sh@
206libdir = @libdir@
207libexecdir = @libexecdir@
208localedir = @localedir@
209localstatedir = @localstatedir@
210mandir = @mandir@
211mkdir_p = @mkdir_p@
212oldincludedir = @oldincludedir@
213pdfdir = @pdfdir@
214prefix = @prefix@
215program_transform_name = @program_transform_name@
216psdir = @psdir@
217sbindir = @sbindir@
218sharedstatedir = @sharedstatedir@
219srcdir = @srcdir@
220sysconfdir = @sysconfdir@
221target_alias = @target_alias@
222top_build_prefix = @top_build_prefix@
223top_builddir = @top_builddir@
224top_srcdir = @top_srcdir@
225lib_LIBRARIES = libcfa.a
226
227# put into lib for now
228cfalibdir = ${libdir}
229cfalib_DATA = prelude.cf builtins.cf
230MAINTAINERCLEANFILES = ${addprefix ${libdir}/,${cfalib_DATA}} \
231        ${addprefix ${libdir}/,${lib_LIBRARIES}} ${includedir}/*
232headers = limits stdlib math iostream fstream iterator rational
233libobjs = ${headers:=.o}
234libcfa_a_SOURCES = libcfa-prelude.c ${headers:=.c}
235include_HEADERS = ${headers}
236CLEANFILES = libcfa-prelude.c
237all: all-am
238
239.SUFFIXES:
240.SUFFIXES: .c .o .obj
241$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
242        @for dep in $?; do \
243          case '$(am__configure_deps)' in \
244            *$$dep*) \
245              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
246                && { if test -f $@; then exit 0; else break; fi; }; \
247              exit 1;; \
248          esac; \
249        done; \
250        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/libcfa/Makefile'; \
251        $(am__cd) $(top_srcdir) && \
252          $(AUTOMAKE) --foreign src/libcfa/Makefile
253.PRECIOUS: Makefile
254Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
255        @case '$?' in \
256          *config.status*) \
257            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
258          *) \
259            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
260            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
261        esac;
262
263$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
264        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
265
266$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
267        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
268$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
269        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
270$(am__aclocal_m4_deps):
271install-libLIBRARIES: $(lib_LIBRARIES)
272        @$(NORMAL_INSTALL)
273        test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
274        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
275        list2=; for p in $$list; do \
276          if test -f $$p; then \
277            list2="$$list2 $$p"; \
278          else :; fi; \
279        done; \
280        test -z "$$list2" || { \
281          echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
282          $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
283        @$(POST_INSTALL)
284        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
285        for p in $$list; do \
286          if test -f $$p; then \
287            $(am__strip_dir) \
288            echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
289            ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
290          else :; fi; \
291        done
292
293uninstall-libLIBRARIES:
294        @$(NORMAL_UNINSTALL)
295        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
296        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
297        dir='$(DESTDIR)$(libdir)'; $(am__uninstall_files_from_dir)
298
299clean-libLIBRARIES:
300        -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
301libcfa.a: $(libcfa_a_OBJECTS) $(libcfa_a_DEPENDENCIES) $(EXTRA_libcfa_a_DEPENDENCIES)
302        $(AM_V_at)-rm -f libcfa.a
303        $(AM_V_AR)$(libcfa_a_AR) libcfa.a $(libcfa_a_OBJECTS) $(libcfa_a_LIBADD)
304        $(AM_V_at)$(RANLIB) libcfa.a
305
306mostlyclean-compile:
307        -rm -f *.$(OBJEXT)
308
309distclean-compile:
310        -rm -f *.tab.c
311
312@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fstream.Po@am__quote@
313@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iostream.Po@am__quote@
314@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iterator.Po@am__quote@
315@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcfa-prelude.Po@am__quote@
316@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/limits.Po@am__quote@
317@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/math.Po@am__quote@
318@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rational.Po@am__quote@
319@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stdlib.Po@am__quote@
320
321.c.o:
322@am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
323@am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
324@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
325@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
326@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
327
328.c.obj:
329@am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
330@am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
331@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
332@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
333@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
334install-cfalibDATA: $(cfalib_DATA)
335        @$(NORMAL_INSTALL)
336        test -z "$(cfalibdir)" || $(MKDIR_P) "$(DESTDIR)$(cfalibdir)"
337        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
338        for p in $$list; do \
339          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
340          echo "$$d$$p"; \
341        done | $(am__base_list) | \
342        while read files; do \
343          echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(cfalibdir)'"; \
344          $(INSTALL_DATA) $$files "$(DESTDIR)$(cfalibdir)" || exit $$?; \
345        done
346
347uninstall-cfalibDATA:
348        @$(NORMAL_UNINSTALL)
349        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
350        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
351        dir='$(DESTDIR)$(cfalibdir)'; $(am__uninstall_files_from_dir)
352install-includeHEADERS: $(include_HEADERS)
353        @$(NORMAL_INSTALL)
354        test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
355        @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
356        for p in $$list; do \
357          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
358          echo "$$d$$p"; \
359        done | $(am__base_list) | \
360        while read files; do \
361          echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
362          $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
363        done
364
365uninstall-includeHEADERS:
366        @$(NORMAL_UNINSTALL)
367        @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
368        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
369        dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
370
371ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
372        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
373        unique=`for i in $$list; do \
374            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
375          done | \
376          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
377              END { if (nonempty) { for (i in files) print i; }; }'`; \
378        mkid -fID $$unique
379tags: TAGS
380
381TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
382                $(TAGS_FILES) $(LISP)
383        set x; \
384        here=`pwd`; \
385        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
386        unique=`for i in $$list; do \
387            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
388          done | \
389          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
390              END { if (nonempty) { for (i in files) print i; }; }'`; \
391        shift; \
392        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
393          test -n "$$unique" || unique=$$empty_fix; \
394          if test $$# -gt 0; then \
395            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
396              "$$@" $$unique; \
397          else \
398            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
399              $$unique; \
400          fi; \
401        fi
402ctags: CTAGS
403CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
404                $(TAGS_FILES) $(LISP)
405        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
406        unique=`for i in $$list; do \
407            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
408          done | \
409          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
410              END { if (nonempty) { for (i in files) print i; }; }'`; \
411        test -z "$(CTAGS_ARGS)$$unique" \
412          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
413             $$unique
414
415GTAGS:
416        here=`$(am__cd) $(top_builddir) && pwd` \
417          && $(am__cd) $(top_srcdir) \
418          && gtags -i $(GTAGS_ARGS) "$$here"
419
420distclean-tags:
421        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
422
423distdir: $(DISTFILES)
424        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
425        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
426        list='$(DISTFILES)'; \
427          dist_files=`for file in $$list; do echo $$file; done | \
428          sed -e "s|^$$srcdirstrip/||;t" \
429              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
430        case $$dist_files in \
431          */*) $(MKDIR_P) `echo "$$dist_files" | \
432                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
433                           sort -u` ;; \
434        esac; \
435        for file in $$dist_files; do \
436          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
437          if test -d $$d/$$file; then \
438            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
439            if test -d "$(distdir)/$$file"; then \
440              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
441            fi; \
442            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
443              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
444              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
445            fi; \
446            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
447          else \
448            test -f "$(distdir)/$$file" \
449            || cp -p $$d/$$file "$(distdir)/$$file" \
450            || exit 1; \
451          fi; \
452        done
453check-am: all-am
454check: check-am
455all-am: Makefile $(LIBRARIES) $(DATA) $(HEADERS)
456installdirs:
457        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" "$(DESTDIR)$(includedir)"; do \
458          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
459        done
460install: install-am
461install-exec: install-exec-am
462install-data: install-data-am
463uninstall: uninstall-am
464
465install-am: all-am
466        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
467
468installcheck: installcheck-am
469install-strip:
470        if test -z '$(STRIP)'; then \
471          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
472            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
473              install; \
474        else \
475          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
476            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
477            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
478        fi
479mostlyclean-generic:
480
481clean-generic:
482        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
483
484distclean-generic:
485        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
486        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
487
488maintainer-clean-generic:
489        @echo "This command is intended for maintainers to use"
490        @echo "it deletes files that may require special tools to rebuild."
491        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
492clean: clean-am
493
494clean-am: clean-generic clean-libLIBRARIES mostlyclean-am
495
496distclean: distclean-am
497        -rm -rf ./$(DEPDIR)
498        -rm -f Makefile
499distclean-am: clean-am distclean-compile distclean-generic \
500        distclean-tags
501
502dvi: dvi-am
503
504dvi-am:
505
506html: html-am
507
508html-am:
509
510info: info-am
511
512info-am:
513
514install-data-am: install-cfalibDATA install-includeHEADERS
515
516install-dvi: install-dvi-am
517
518install-dvi-am:
519
520install-exec-am: install-libLIBRARIES
521
522install-html: install-html-am
523
524install-html-am:
525
526install-info: install-info-am
527
528install-info-am:
529
530install-man:
531
532install-pdf: install-pdf-am
533
534install-pdf-am:
535
536install-ps: install-ps-am
537
538install-ps-am:
539
540installcheck-am:
541
542maintainer-clean: maintainer-clean-am
543        -rm -rf ./$(DEPDIR)
544        -rm -f Makefile
545maintainer-clean-am: distclean-am maintainer-clean-generic
546
547mostlyclean: mostlyclean-am
548
549mostlyclean-am: mostlyclean-compile mostlyclean-generic
550
551pdf: pdf-am
552
553pdf-am:
554
555ps: ps-am
556
557ps-am:
558
559uninstall-am: uninstall-cfalibDATA uninstall-includeHEADERS \
560        uninstall-libLIBRARIES
561
562.MAKE: install-am install-strip
563
564.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
565        clean-libLIBRARIES ctags distclean distclean-compile \
566        distclean-generic distclean-tags distdir dvi dvi-am html \
567        html-am info info-am install install-am install-cfalibDATA \
568        install-data install-data-am install-dvi install-dvi-am \
569        install-exec install-exec-am install-html install-html-am \
570        install-includeHEADERS install-info install-info-am \
571        install-libLIBRARIES install-man install-pdf install-pdf-am \
572        install-ps install-ps-am install-strip installcheck \
573        installcheck-am installdirs maintainer-clean \
574        maintainer-clean-generic mostlyclean mostlyclean-compile \
575        mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
576        uninstall-am uninstall-cfalibDATA uninstall-includeHEADERS \
577        uninstall-libLIBRARIES
578
579
580# create forward declarations for gcc builtins
581${libdir}/builtins.cf : ${libdir} ${srcdir}/builtins.cf
582        ${INSTALL} ${srcdir}/builtins.cf ${libdir}
583        sed -i -e "s#typedef.*ptrdiff_t.*#`@BACKEND_CC@ -E ${srcdir}/ptrdiff_t.c | grep 'typedef.*ptrdiff_t'`#" ${srcdir}/prelude.cf
584
585builtins.cf : builtins.c
586        @if [ -e $< ] ; then \
587                @BACKEND_CC@ -E -P $^ | sed -e "/targetm/s/.*//" -e "/_Decimal/s/.*//" -e "s/void (const char \*)0();//" -e "s/\"//g" -e "s/\(__builtin_\) /\1/" > $@ ; \
588        fi
589
590builtins.c : builtins.def prototypes.awk
591        @if [ -e $< ] ; then \
592                @BACKEND_CC@ -E prototypes.c | awk -f prototypes.awk > $@ ; \
593        fi
594
595builtins.def :
596
597prototypes.awk :
598
599#--------------------------------------------------
600
601libcfa-prelude.c : ${srcdir}/prelude.cf
602        ${abs_top_srcdir}/src/driver/cfa-cpp -l ${srcdir}/prelude.cf $@  # use src/cfa-cpp as not in lib until after install
603
604libcfa-prelude.o : libcfa-prelude.c
605        @BACKEND_CC@ -c -o $@ $<
606
607# extensionless header files are overridden by -o flag in default makerule => explicitly override default rule to silently do nothing
608% : %.c
609        @true
610
611${libobjs} : ${abs_top_srcdir}/src/driver/cfa-cpp       # add dependency to cfa-cpp so all libraries are rebuilt with new translator
612
613# Tell versions [3.59,3.63) of GNU make to not export all variables.
614# Otherwise a system limit (for SysV at least) may be exceeded.
615.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.